For the complete documentation index, see llms.txt. This page is also available as Markdown.

Raw trades

This data is included in the following Kaiko packages:

  • Level 1 & Level 2 Data [Level 1 Tick-Level Tier]

  • Level 1 & Level 2 Data [Level 2 Aggregations Tier]

  • Level 1 & Level 2 Data [Level 2 Tick-Level Tier]

CeFi derivatives ticker packs.

What is this endpoint for?

Tick-level data is the most granular level of trading data and contains every single trade that occurs on centralized and decentralized exchanges. The data is normalized and timestamped and contains information such as the price and volume of each trade. For DEXs specifically, we also provide additional information on the user address, the blockchain, the pool address, and the transaction hash related to the trade.

Endpoint

https://{region}.market-api.kaiko.io/v3/data/trades.v1/exchanges/{exchange}/spot/{instrument}/trades

Path Parameters

Parameter
Required?
Description

region

Yes

Choose between eu and us.

exchange

Yes

Exchange code.

See

instrument_class

Yes

Instrument class. See

instrument

Yes

Instrument code. See

Query Parameters

Parameter
Required
Description

start_time

No

Starting time in ISO 8601 (inclusive). Automatically included in continuation tokens.

end_time

No

Ending time in ISO 8601 (exclusive). Automatically included in continuation tokens.

page_size

No

See Pagination Automatically included in continuation tokens.

continuation_token

No

See Pagination

sort

No

Return the data in ascending (asc) or descending (desc) order. Default desc.

Fields

Field
Description

timestamp

The timestamp provided by the exchange or the collection timestamp in Unix Timestamp (in milliseconds)

trade_id

Unique trade ID (unique to the exchange). In case the exchange does not provide an ID, we generate it ourselves.

price

Price displayed in quote currency.

amount

Quantity of asset bought or sold (can be in base_asset, quote_asset or the number of contracts).

taker_side_sell

See "taker_side_sell" Explained

Request examples

Response example

Last updated

Was this helpful?